Subject: bug#21394: closed (Re: bug#21394: 25.0.50; Segfault when displaying unprintable character in echo area while frames are being created)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 05 Sep 2015 08:13:03 +0000

Your bug report

#21394: 25.0.50; Segfault when displaying unprintable character in echo area while frames are being created

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21394: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21394
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21394: 25.0.50; Segfault when displaying unprintable character in echo area while frames are being created
From: Eli Zaretskii <[email-masked]>
To: Pip Cet <[email-masked]>
Cc: [email-masked]
Date: Sat, 05 Sep 2015 11:12:09 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Wed, 2 Sep 2015 16:08:08 +0000
> From: Pip Cet <[email-masked]>
> Cc: [email-masked]
> 
> On Wed, Sep 2, 2015 at 3:16 PM, Eli Zaretskii <[email-masked]> wrote:
> 
>     > This patch appears, so far, to run without a segfault
>     
> No segfault overnight.
> 
>     Can you please verify that when the (unmodified) code does segfault,
>     the offending face ID is indeed stored in
>     last_escape_glyph_merged_face_id? I'd like to be sure we have really
>     found the source of that face ID.
> 
> It is, indeed, and last_escape_glyph_frame also equals it->f.
> 
> Revised patch attached.

Thanks, I pushed it with a few minor changes.

I'm closing this bug.  feel free to reopen if something else emerges
that needs to be taken care of.

Subject: 25.0.50; Segfault when displaying unprintable character in echo area while frames are being created
From: Pip Cet <[email-masked]>
To: [email-masked]
Date: Tue, 1 Sep 2015 16:43:13 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Recipe:

Launch emacs -Q.

C-x C-f emacs-bug-038.el
M-x eval-buffer

Wait for approximately one minute.

The contents of emacs-bug-038.el are:

------
(run-with-timer 0 .01 (lambda () (message (make-string 1 0))))

(while t
  (let ((f (make-frame)))
    (sit-for .1)
    (delete-frame f)))
------

The repository is unmodified Emacs HEAD; while the CFLAGS contain an extra
option to dump gimple trees, I believe that should have no influence on the
produced code. I have attached a full gdb log.

I have been unable to reproduce this bug with emacs -Q --load
emacs-bug-038.el.

Please let me know if I can provide any further information or do anything
else to help fix this bug.

In GNU Emacs 25.0.50.14 (x86_64-unknown-linux-gnu, GTK+ Version 3.16.6)
 of 2015-09-01
Repository revision: da88ad6cb1e98ef9f28462648ab53d81d22dd189
Windowing system distributor 'The X.Org Foundation', version 11.0.11702000
System Description:    Debian GNU/Linux unstable (sid)

Configured using:
 'configure 'CFLAGS=-O0 -g3 -fdump-tree-gimple-vops-verbose-raw-lineno''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND DBUS GCONF GSETTINGS NOTIFY LIBSELINUX
GNUTLS LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message dired format-spec
rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util help-fns help-mode easymenu cl-loaddefs pcase cl-lib mail-prsvr
mail-utils time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
elisp-mode lisp-mode prog-mode register page menu-bar rfn-eshadow timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
frame cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian
slovak czech european ethiopic indian cyrillic chinese charscript
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote dbusbind inotify
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 81444 9134)
 (symbols 48 19017 0)
 (miscs 40 42 136)
 (strings 32 13315 4665)
 (string-bytes 1 380651)
 (vectors 16 11238)
 (vector-slots 8 413731 5198)
 (floats 8 131 60)
 (intervals 56 189 0)
 (buffers 976 11)
 (heap 1024 18466 983))